%define ver	0.40.2pre4
%define prefix	/usr
%define rel	1mdk

Summary: The Xclasses Library
Name: Xclasses
Version: %ver
Release: %rel
Copyright: LGPL
Group: X11/Libraries
Source:  http://www.fsai.fh-trier.de/~schmitzj/Xclasses/arc/Xclasses-public-%{ver}.src.tar.gz
Patch: Xclasses.config-patch
BuildRoot: /var/tmp/xclasses-%{ver}-root
Obsoletes: Xclasses
URL: http://www.fsai.fh-trier.de/~schmitzj/Xclasses/
Packager: Sebastien Bricout <sbricout@francemel.com>
Docdir: %{prefix}/doc

%description
Xclasses is a C++ layout library for the X Window System.

%package devel
Summary: The Xclasses Development package
Group: X11/Libraries
Requires: Xclasses
Obsoletes: Xclasses-devel

%description devel
Static libraries and header files for the Xclasses library.

%prep
%setup -n xclasses
%patch -p2


%build
./build make

%install
rm -fr $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT%{prefix}
mkdir $RPM_BUILD_ROOT%{prefix}/lib
mkdir $RPM_BUILD_ROOT%{prefix}/include
mkdir $RPM_BUILD_ROOT%{prefix}/bin
mkdir $RPM_BUILD_ROOT%{prefix}/lib/X11

make LIBSDIR=$RPM_BUILD_ROOT%{prefix}/lib INCLUDESDIR=$RPM_BUILD_ROOT%{prefix}/include CONFIGSDIR=$RPM_BUILD_ROOT%{prefix}/lib/X11/Xclasses install
cp -f ./setenvxc $RPM_BUILD_ROOT%{prefix}/bin
chmod 755 $RPM_BUILD_ROOT%{prefix}/bin/setenvxc

%clean 
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING.LIB README
%{prefix}/lib/libXclasses.so.0.8.7
%{prefix}/lib/libXclasses.so.0
%{prefix}/lib/X11/Xclasses/Xclasses
%{prefix}/bin/setenvxc

%files devel
%defattr(-, root, root)
%{prefix}/lib/libXclasses.a
%{prefix}/lib/libXclasses.so
%{prefix}/include/Xclasses/Ddraw.h
%{prefix}/include/Xclasses/XCprogram.h
%{prefix}/include/Xclasses/Xclasses.h
%{prefix}/include/Xclasses/Xclasses_class.h
%{prefix}/include/Xclasses/Xcolors.h
%{prefix}/include/Xclasses/Xdisplay.h
%{prefix}/include/Xclasses/Xshadow.h
%{prefix}/include/Xclasses/Xwindows.h
%{prefix}/include/Xclasses/anim.h
%{prefix}/include/Xclasses/appwindow.h
%{prefix}/include/Xclasses/autotextbox.h
%{prefix}/include/Xclasses/bordergroup.h
%{prefix}/include/Xclasses/button.h
%{prefix}/include/Xclasses/callable.h
%{prefix}/include/Xclasses/card.h
%{prefix}/include/Xclasses/checkbox.h
%{prefix}/include/Xclasses/choice.h
%{prefix}/include/Xclasses/colornamegroup.h
%{prefix}/include/Xclasses/config.h
%{prefix}/include/Xclasses/creater.h
%{prefix}/include/Xclasses/dirview.h
%{prefix}/include/Xclasses/dlist.h
%{prefix}/include/Xclasses/easy_dialog.h
%{prefix}/include/Xclasses/fbutton.h
%{prefix}/include/Xclasses/file_dialog.h
%{prefix}/include/Xclasses/fileinput.h
%{prefix}/include/Xclasses/fontgroup.h
%{prefix}/include/Xclasses/gadget.h
%{prefix}/include/Xclasses/gfx_arrow.h
%{prefix}/include/Xclasses/gfx_autotext.h
%{prefix}/include/Xclasses/gfx_checkbox.h
%{prefix}/include/Xclasses/gfx_command.h
%{prefix}/include/Xclasses/gfx_dir.h
%{prefix}/include/Xclasses/gfx_file.h
%{prefix}/include/Xclasses/gfx_knob.h
%{prefix}/include/Xclasses/gfx_locked.h
%{prefix}/include/Xclasses/gfx_object.h
%{prefix}/include/Xclasses/gfx_text.h
%{prefix}/include/Xclasses/gfx_xpm.h
%{prefix}/include/Xclasses/go_button.h
%{prefix}/include/Xclasses/go_selbutton.h
%{prefix}/include/Xclasses/gpopup.h
%{prefix}/include/Xclasses/graphic.h
%{prefix}/include/Xclasses/group.h
%{prefix}/include/Xclasses/html_gadget.h
%{prefix}/include/Xclasses/htmltextbox.h
%{prefix}/include/Xclasses/image.h
%{prefix}/include/Xclasses/indicator.h
%{prefix}/include/Xclasses/input.h
%{prefix}/include/Xclasses/keyclass.h
%{prefix}/include/Xclasses/lefttext.h
%{prefix}/include/Xclasses/listgroup.h
%{prefix}/include/Xclasses/listview.h
%{prefix}/include/Xclasses/menu.h
%{prefix}/include/Xclasses/message.h
%{prefix}/include/Xclasses/message_tools.h
%{prefix}/include/Xclasses/multilistview.h
%{prefix}/include/Xclasses/mxbutton.h
%{prefix}/include/Xclasses/mxgadget.h
%{prefix}/include/Xclasses/mxknob.h
%{prefix}/include/Xclasses/output.h
%{prefix}/include/Xclasses/popbutton.h
%{prefix}/include/Xclasses/popup.h
%{prefix}/include/Xclasses/rubbergroup.h
%{prefix}/include/Xclasses/ruler.h
%{prefix}/include/Xclasses/scroller.h
%{prefix}/include/Xclasses/selbutton.h
%{prefix}/include/Xclasses/selgadget.h
%{prefix}/include/Xclasses/selknob.h
%{prefix}/include/Xclasses/slider.h
%{prefix}/include/Xclasses/spacegroup.h
%{prefix}/include/Xclasses/text.h
%{prefix}/include/Xclasses/textbox.h
%{prefix}/include/Xclasses/tools.h
%{prefix}/include/Xclasses/treeview.h
%{prefix}/include/Xclasses/types.h
%{prefix}/include/Xclasses/visible.h
%{prefix}/include/Xclasses/xclock.h


%Changelog
*Tue Sep 07 1999 Daouda LO <daouda@mandrakesoft.com>
-Mandrake adaptations
